This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 308691 - device descriptor read/64, error -62, leads to printing problems
device descriptor read/64, error -62, leads to printing problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 323981 (view as bug list)
Depends On:
Blocks: F7Update
  Show dependency treegraph
 
Reported: 2007-09-27 06:21 EDT by Mumrel
Modified: 2008-06-16 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsusb-v after booting. Printer HAS BEEN OFF and was it during this command. (5.99 KB, text/plain)
2007-10-09 12:17 EDT, Mumrel
no flags Details
lsusb -v AFTER turning the printer ON the first time (7.94 KB, text/plain)
2007-10-09 12:19 EDT, Mumrel
no flags Details
After turning the printer OFF again. (5.99 KB, text/plain)
2007-10-09 12:21 EDT, Mumrel
no flags Details
After turning the printer ON for the FIRST time. (167 bytes, text/plain)
2007-10-09 12:23 EDT, Mumrel
no flags Details
After turning the printer ON for the second time. (167 bytes, text/plain)
2007-10-09 12:25 EDT, Mumrel
no flags Details
cups debug2 error log, obtained by executing the above mentioned steps (149.81 KB, text/plain)
2007-10-10 06:47 EDT, Mumrel
no flags Details

  None (edit)
Description Mumrel 2007-09-27 06:21:26 EDT
Description of problem:
After turning the usb-printer off once, i can't print after turning it on again.
This seems to relate to those error messages.
After each reboot i can print, as long as i won't turn the printer off.

Version-Release number of selected component (if applicable):
Linux gleichgewicht 2.6.22.7-85.fc7 #1 SMP Fri Sep 21 19:53:05 EDT 2007 i686
athlon i386 GNU/Linux
kernel-2.6.22.7-85.fc7

How reproducible:
Always

Steps to Reproduce:
1. Boot fedora
2. Print something -> all ok
3. Turn off printer
4. Print again -> nothing happens, only the mentioned error messages occur

(5. Reboot to get that stuff printed)
  
Actual results:
The usb connection to the printer seems to be disrupted, 
the documents are not being printed.

Expected results:
Printer blinks (receives data) and prints the documents
i.e. or more general: the usb connection works


Additional info:
dmesg log:

usb 2-1: USB disconnect, address 2
drivers/usb/class/usblp.c: usblp0: removed
usb 2-1: new full speed USB device using ohci_hcd and address 3
usb 2-1: device descriptor read/64, error -62
usb 2-1: device descriptor read/64, error -62
usb 2-1: new full speed USB device using ohci_hcd and address 4
usb 2-1: device descriptor read/64, error -62
usb 2-1: new full speed USB device using ohci_hcd and address 5
usb 2-1: configuration #1 chosen from 1 choice
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 5 if 0 alt 0
proto 2 vid 0x04E8 pid 0x3242
Comment 1 Mumrel 2007-09-29 06:08:02 EDT
Still present in 2.6.22.9-91.fc7
Comment 2 Mumrel 2007-10-08 18:30:12 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=323981 (posted also as a CUPS
problem, since i am not really sure)
Comment 3 Tim Waugh 2007-10-09 05:21:29 EDT
Definitely seems like a kernel or hardware problem of some sort.

1. What does 'lsusb -v' say when you run it as root (i.e. 'su -' first)?
2. What does '/usr/lib/cups/backend/usb' say before you switch off the printer?
3. What does '/usr/lib/cups/backend/usb' say after you switch the printer back on?

Comment 4 Tim Waugh 2007-10-09 05:21:44 EDT
*** Bug 323981 has been marked as a duplicate of this bug. ***
Comment 5 Mumrel 2007-10-09 12:17:10 EDT
Created attachment 221431 [details]
lsusb-v after booting. Printer HAS BEEN OFF and was it during this command.

Posting this also, because a diff lsusb_off lsusb_offagain brings up this, but
i can't decide wether that is important or not.

60c60
<   PortPwrCtrlMask    0x06 
---
>   PortPwrCtrlMask    0xc6 
126c126
<   PortPwrCtrlMask    0x06 
---
>   PortPwrCtrlMask    0xc6 
189c189
<   PortPwrCtrlMask    0x06 
---
>   PortPwrCtrlMask    0xc6
Comment 6 Mumrel 2007-10-09 12:19:50 EDT
Created attachment 221441 [details]
lsusb -v AFTER turning the printer ON the first time
Comment 7 Mumrel 2007-10-09 12:21:38 EDT
Created attachment 221461 [details]
After turning the printer OFF again. 

Note that some values changed compared to the state when the printer was yet
off.
As I said, no idea if this is important or just normal.
Comment 8 Mumrel 2007-10-09 12:23:09 EDT
Created attachment 221471 [details]
After turning the printer ON for the FIRST time.
Comment 9 Mumrel 2007-10-09 12:25:33 EDT
Created attachment 221481 [details]
After turning the printer ON for the second time.

Code changed from 10001 (on for the first time) to 10003 (on for the second
time )
Comment 10 Tim Waugh 2007-10-10 04:38:55 EDT
Just to be sure, please do the following:

1. Stop CUPS:
/sbin/service cups stop

2. Edit /etc/cups/cupsd.conf and change the 'LogLevel' line to read:
LogLevel debug2

3. Clear the error_log
>/var/log/cups/error_log

4. Start CUPS:
/sbin/service cups start

5. Switch off your printer, then switch it on.

6. Now try printing something.

7. Wait a few minutes, then attach /var/log/cups/error_log

8. Reset the LogLevel line back to 'LogLevel info' afterwards.
Comment 11 Mumrel 2007-10-10 06:47:29 EDT
Created attachment 222321 [details]
cups debug2 error log, obtained by executing the above mentioned steps

Printer was switched on again at line ~290 and later (wc -l)
test-document was printed after line ~473 
Waited at least 3 minutes.

If you need anything else, just let me know.
Thank you so far!

Greetings
Comment 12 Mumrel 2007-10-23 17:03:55 EDT
Do you have any clue what's producing that kind of behavior?
Is it the kernel? 

Greetings Mumrel
Comment 13 Mumrel 2007-10-30 15:40:18 EDT
And again, still present in 2.6.23.1-10.fc7.
Comment 14 Mumrel 2007-11-25 09:56:12 EST
Hi there, 

somehow there exists an workaround for me now.
kernel 2.6.23.1-21.fc7
cups   1:1.2.12-8.fc7

The problem with my configured Samsung printer (calles 'samsung' here) still
exists and is the same.
But now after i turn on the printer for a second time, some wodoo goes on an the
panel informs me that a new printer called 'ML-1510' was found.
If I send my print jobs to this printer everything works fine.


Thank you greetings
Mumrel
Comment 15 Tim Waugh 2007-11-26 05:00:02 EST
What does 'lpstat -s' say?
Comment 16 Mumrel 2007-11-26 14:23:34 EST
It says:

# lpstat -s
Kein systemweites Standardziel
Gerät für ML-1510_700: usb://Samsung/ML-1510_700
Gerät für samsung:
hal:///org/freedesktop/Hal/devices/usb_device_4e8_3242_2R21BADWA02453D0_if0_printer_noserial



Comment 17 Tim Waugh 2007-11-27 05:43:31 EST
Okay, marking as a possible hal-cups-utils problem (hal-cups-utils provides the
print backend for hal: URIs).
Comment 18 Bug Zapper 2008-05-14 10:32:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2008-06-16 22:30:33 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.